Author Topic: Error 1.5 -> 1.6  (Read 543 times)

dpro_games

  • Newbie
  • *
  • Posts: 43
    • View Profile
Error 1.5 -> 1.6
« on: December 27, 2018, 12:18:15 pm »
Hello, I have error since I updated my quest to 1.6... I don't know why, maybe some function has changed ? What I need to do

Code: [Select]
Error: bad argument #1 to sol.timer.start (game, item, map, entity, menu or sol.main expected, got table), will use a default context instead
stack traceback:
[C]: at 0x017e4540
[C]: in function 'start'
scripts/hud/hearts.lua:93: in function 'check'
scripts/hud/hearts.lua:158: in function 'new'
scripts/menus/savegames.lua:347: in function 'read_savegames'
scripts/menus/savegames.lua:51: in function <scripts/menus/savegames.lua:9>
[C]: in function 'start'
main.lua:53: in function <main.lua:50>
[C]: in function 'stop'
scripts/menus/title.lua:345: in function 'skip_menu'
scripts/menus/title.lua:218: in function <scripts/menus/title.lua:217>
(Thread 0xefc01c0)

Thank for the help

Christopho

  • Administrator
  • Hero Member
  • *****
  • Posts: 1177
    • View Profile
Re: Error 1.5 -> 1.6
« Reply #1 on: December 27, 2018, 12:25:56 pm »
It is an error in the script. sol.timer.start is called with a parameter of a wrong type. Nothing has changed in 1.6 in this area, except that this error was not detected before.

dpro_games

  • Newbie
  • *
  • Posts: 43
    • View Profile
Re: Error 1.5 -> 1.6
« Reply #2 on: December 27, 2018, 12:36:27 pm »
Okay, I will see what I can do

Thank you